osl::move_action::Count Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::move_action::Count Struct Reference

指手の数を数えるだけ More...

`#include <count.h>`

## Public Member Functions
| Count ()
void | simpleMove (Square, Square, Ptype, bool, Player, Move)
| コマをとらないMove More...
void | unknownMove (Square, Square, Piece, Ptype, bool, Player, Move)
| コマを取るかもしれないMove More...
void | dropMove (Square, Ptype, Player, Move)
| コマを打つMove More...
void | simpleMove (Square from, Square to, Ptype ptype, bool isPromote, Player p)
void | unknownMove (Square from, Square to, Piece captured, Ptype ptype, bool isPromote, Player p)
void | dropMove (Square to, Ptype ptype, Player p)

## Public Attributes
int | count

## Detailed Description

指手の数を数えるだけ

Definition at line 13 of file count.h.

## Constructor & Destructor Documentation

osl::move_action::Count::Count | ( | ) |  |
| inline

Definition at line 16 of file count.h.

## Member Function Documentation

void osl::move_action::Count::dropMove | ( | Square | ,
|  | Ptype | ,
|  | Player | ,
|  | Move |
| ) |  |
| inline

コマを打つMove

Definition at line 36 of file count.h.

References count.

Referenced by dropMove().

void osl::move_action::Count::dropMove | ( | Square | to,
|  | Ptype | ptype,
|  | Player | p
| ) |  |
| inline

Definition at line 50 of file count.h.

References dropMove().

void osl::move_action::Count::simpleMove | ( | Square | ,
|  | Square | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move |
| ) |  |
| inline

コマをとらないMove

Definition at line 20 of file count.h.

References count.

Referenced by simpleMove().

void osl::move_action::Count::simpleMove | ( | Square | from,
|  | Square | to,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 40 of file count.h.

References simpleMove().

void osl::move_action::Count::unknownMove | ( | Square | ,
|  | Square | ,
|  | Piece | ,
|  | Ptype | ,
|  | bool | ,
|  | Player | ,
|  | Move |
| ) |  |
| inline

コマを取るかもしれないMove

Parameters

  from | - 駒の移動元
  to | - 駒の移動先
  p1 | - 移動先のマスの駒
  ptype | - 移動後の駒のptype
  isPromote | - 成りか?
  p | - プレイヤー

Definition at line 32 of file count.h.

References count.

Referenced by unknownMove().

void osl::move_action::Count::unknownMove | ( | Square | from,
|  | Square | to,
|  | Piece | captured,
|  | Ptype | ptype,
|  | bool | isPromote,
|  | Player | p
| ) |  |
| inline

Definition at line 45 of file count.h.

References unknownMove().

## Member Data Documentation

int osl::move_action::Count::count

Definition at line 15 of file count.h.

Referenced by dropMove(), simpleMove(), and unknownMove().

The documentation for this struct was generated from the following file:

- count.h